HikariCP 2.7.1 和 2.4.13 发布,高性能 JDBC 连接池组件 - 开源中国社区
HikariCP 2.7.1 和 2.4.13 发布,高性能 JDBC 连接池组件
淡漠悠然 2017年09月11日

HikariCP 2.7.1 和 2.4.13 发布,高性能 JDBC 连接池组件

淡漠悠然 淡漠悠然 发布于2017年09月11日 收藏 18

腾讯云 十分钟定制你的第一个小程序>>>  

HikariCP 2.7.1 和 2.4.13 已发布,HikariCP 是一个高性能的 JDBC 连接池组件。更新如下:

    Changes in 2.7.1 

    • issue 968 Wrong label order in MicrometerMetricsTracker for the connection usage metric.

    • issue 967 incorrect bitwise operator value in ConcurrentBag.requite method intended to cause parkNanos() to be called every 256 iterations. Thanks to @ztkmkoo for finding this.

    Changes in 2.4.13

    • backport more efficient contention handling in ConcurrentBag.requite from 2.6.x branch.

    • issue 955 fix possible race condition when Statements are closed on different threads from which they were created.

    下载地址:https://github.com/brettwooldridge/HikariCP/releases

    本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
    转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
    本文标题:HikariCP 2.7.1 和 2.4.13 发布,高性能 JDBC 连接池组件
    分享
    评论(7)
    精彩评论
    2
    这是springboot默认的数据库连接池
    1
    好用
    最新评论
    0
    和Druid比起来怎么样?
    0

    引用来自“QiHaiYan”的评论

    这是springboot默认的数据库连接池
    @QiHaiYan 能说下为什么两个版本么?
    0

    引用来自“QiHaiYan”的评论

    这是springboot默认的数据库连接池

    引用来自“花儿笑弯了腰”的评论

    spring boot 默认是使用的这个吗?
    spring boot 2.0默认用的这个
    0

    引用来自“QiHaiYan”的评论

    这是springboot默认的数据库连接池
    spring boot 默认是使用的这个吗?
    0
    现在统一用这个了,还是非常不多的。
    1
    好用
    2
    这是springboot默认的数据库连接池
    顶部